# class EnumBase

#### package cpp

Available on Android, iOS, Linux, macOS, Windows

### Methods

###

`_hx_getIndex ():Int`

###

`_hx_getParamCount ():Int`

###

`_hx_getParamI (inIndex:Int):Dynamic`

###

`_hx_getParameters ():Array<Dynamic>`

###

`_hx_getTag ():String`

###

`inline getIndex ():Int`

###

`inline getParamCount ():Int`

###

`inline getParamI (inIndex:Int):Dynamic`

###

`inline getParameters ():Array<Dynamic>`

###

`inline getTag ():String`